# placeholder-monorepo-name

### Run demo

For the moment, web component packages that make API calls need to be authorized, in order to do this you must:

1. Build and run the `AuthLab`
2. Build and watch web component (for changes)
3. Follow steps below and run commands, in two terminals
4. Launch AuthLab link in browser, code, refresh page to view code changes

#### Build and run the `AuthLab`

1. Connect to Zywave VPN
2. Open `labs/AuthLab/Views/Shared/_Layout.cshtml`
3. Add script tag within `<head>...</head>` to import your web component into app, i.e. `<script type="module" src="~/packages/zywave-tribe-wc/zywave-tribe-wc.js"></script>`
4. Open `labs/AuthLab/Views/Default/Home.cshtml`
5. Add your web component HTML element to HTML file, i.e. `<zywave-tribe-wc></zywave-tribe-wc>`

```
cd labs/AuthLab
dotnet run watch
```

#### Build and watch web component

Running command below will watch your web component files for changes and rebuild typescript

```
cd packages/placeholder-component-name
npm run serve:watch
```
